import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JComponent;

public class GameComponent extends JComponent implements MouseListener {

	Game game = new Game();
	
	@Override
	public void paint(Graphics graphics) {
		Graphics2D g = (Graphics2D) graphics;
		game.draw(g);
	}
	
	public GameComponent() {
		super();
		this.addMouseListener(this);
	}

	@Override
	public void mouseClicked(MouseEvent e) {
		this.game.handleClick(e.getX(), e.getY());
		this.repaint();
	}

	@Override
	public void mouseEntered(MouseEvent e) {
		
	}

	@Override
	public void mouseExited(MouseEvent e) {
		
	}

	@Override
	public void mousePressed(MouseEvent e) {
		
	}

	@Override
	public void mouseReleased(MouseEvent e) {
		
	}
}
