import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JComponent;

public class GameOverComponent extends JComponent implements MouseListener {

	int points;
	String message;
	
	@Override
	public void paint(Graphics graphics) {
		Graphics2D g = (Graphics2D) graphics;
		Main.setFontSize(g, 50);
		g.drawString("GAME OVER", 200, 200);
		Main.setFontSize(g, 20);
		g.drawString(this.message, 150, 300);
		g.drawString("Click anywhere to continue", 200, 600);
		Main.setFontSize(g, 40);
		g.drawString("You have earned " + String.valueOf(this.points) + "points", 100, 400);
	}
	
	public GameOverComponent(int points, String message) {
		super();
		this.points = points;
		this.message = message;
		this.addMouseListener(this);
	}

	@Override
	public void mouseClicked(MouseEvent arg0) {
		
	}

	@Override
	public void mouseEntered(MouseEvent arg0) {
		
	}

	@Override
	public void mouseExited(MouseEvent arg0) {
		
	}

	@Override
	public void mousePressed(MouseEvent arg0) {
		
	}

	@Override
	public void mouseReleased(MouseEvent arg0) {
		
	}
}
