import java.awt.Dimension;
import java.awt.Graphics2D;

import javax.swing.JComponent;
import javax.swing.JFrame;

public class Main {
	
	static JFrame frame;
	static JComponent currentComponent;
	
	public static void main(String[] args) {
		frame = new JFrame("Jewels");
		frame.getContentPane().setPreferredSize(new Dimension(600, 750));
		currentComponent = new StartComponent();
		frame.add(currentComponent);
		frame.pack();
		frame.setVisible(true);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	}
	
	static void startWithoutLimit() {
		frame.getContentPane().remove(currentComponent);
		currentComponent = new GameComponent();
		frame.add(currentComponent);
		frame.validate();
	}
	
	static void goToSetLimit() {
		
	}
	
	static void noMoreMoves(int points) {
		setComponent(new GameOverComponent(points, "No more available moves."));
	}
	
	static void restart() {
		setComponent(new StartComponent());
	}
	
	public static void setFontSize(Graphics2D g, float size) {
		g.setFont(g.getFont().deriveFont(size));
	}
	
	static void setComponent(JComponent component) {
		frame.getContentPane().remove(currentComponent);
		currentComponent = component;
		frame.add(currentComponent);
		frame.validate();
	}
}
