import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JComponent;

public class StartComponent extends JComponent implements MouseListener {
	
	@Override
	public void paint(Graphics graphics) {
		Graphics2D g = (Graphics2D) graphics;
		g.setFont(g.getFont().deriveFont(50f));
		g.setColor(Color.ORANGE);
		g.fillRect(0, 0, 600, 375);
		g.setColor(Color.CYAN);
		g.drawString("With a time limit", 120, 200);
		g.fillRect(0, 375, 600, 375);
		g.setColor(Color.ORANGE);
		g.drawString("Without a time limit", 90, 570);
	}
	
	public StartComponent() {
		super();
		this.addMouseListener(this);
	}

	@Override
	public void mouseClicked(MouseEvent e) {
		if (e.getY() >= 375) {
			Main.startWithoutLimit();
		}
		else {
			Main.goToSetLimit();
		}
	}

	@Override
	public void mouseEntered(MouseEvent e) {
		
	}

	@Override
	public void mouseExited(MouseEvent e) {
		
	}

	@Override
	public void mousePressed(MouseEvent e) {
		
	}

	@Override
	public void mouseReleased(MouseEvent e) {
		
	}
	
}
